  <?php
/**
* Joomla Community Builder User Plugin: plug_cbzoomlink
* @version $Id$
* @package plug_cbzoomlink
* @subpackage cbzoomlink.php
* @author Jonathan Medina
* @copyright (C) Jonathan Medina, www.lifeculturemedia.com
* @license Limited  http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @final 1.0
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );



/**
 * Basic tab extender. Any plugin that needs to display a tab in the user profile
 * needs to have such a class. Also, currently, even plugins that do not display tabs (e.g., auto-welcome plugin)
 * need to have such a class if they are to access plugin parameters (see $this->params statement).
 */
class getzoomlinkTab extends cbTabHandler {
	/**
	 * Construnctor
	 */
	function getzoomlinkTab() {
		$this->cbTabHandler();
	}
	
	/**
	* Generates the HTML to display the user profile tab
	* @param object tab reflecting the tab database entry
	* @param object mosUser reflecting the user being displayed
	* @param int 1 for front-end, 2 for back-end
	* @returns mixed : either string HTML for tab content, or false if ErrorMSG generated
	*/
	function getDisplayTab($tab,$user,$ui) {
		global $my;

		$return = null;
		$params = $this->params; // get parameters (plugin and related tab)
		
		$is_cbzoomlink_plug_enabled = $params->get('zlPlugEnabled', "1");
		$zoomlink_tab_message = $params->get('zlTabMessage', "");
		
		if ($is_cbzoomlink_plug_enabled != "0") {
			if($tab->description != null) {
				$return .= "\t\t<div class=\"tab_Description\">"
					. $tab->description	// html content is allowed in descriptions
					. "</div>\n";
			}
			$return .= "\t\t<div>\n"
				. htmlspecialchars($zoomlink_tab_message) // make all other output html-safe
				. "<a href=\"index.php?option=com_zoom&page=search&type=quicksearch&sstring=" .$user->name. "&Itemid=99999999\"><div class=cbzoomlink><img src=\"components/com_comprofiler/plugin/user/plug_cbzoomlink/images/morephotos.jpg\">View More Photos</div></a>"
				. "</div>\n"; 
		}
		return $return;
	} // end or getDisplayTab function
} // end of getzoomlinkTab class
?>